org.apache.commons.jelly.tags.core

## Class CoreTagLibrary

- java.lang.Object
- - org.apache.commons.jelly.TagLibrary
  - - org.apache.commons.jelly.tags.core.CoreTagLibrary

    public class CoreTagLibrary
    extends TagLibrary

This is the core tag library for jelly and contains commonly used tags. This class could be generated by XDoclet

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`CoreTagLibrary()`

### Method Summary

Methods
`TagScript` `createTagScript(java.lang.String name, org.xml.sax.Attributes attributes)` Creates a new script to execute the given tag name and attributes

### Methods inherited from class org.apache.commons.jelly.TagLibrary

`createExpression, createTag, getExpressionFactory, getTagClasses, registerTag, registerTagFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CoreTagLibrary

    public CoreTagLibrary()

### Method Detail

#### createTagScript

    public TagScript createTagScript(java.lang.String name,
                            org.xml.sax.Attributes attributes)
                              throws JellyException

Description copied from class: `TagLibrary`
Creates a new script to execute the given tag name and attributes

Overrides:
  `createTagScript` in class `TagLibrary`
Throws:
  `JellyException`